chats.chatConfessions
GET
/v1/chats/{chatId}/confessions
const url = 'https://example.com/v1/chats/example/confessions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/chats/example/confessions \ --header 'Authorization: Bearer <token>'Lists what the Bot said with confide in this Chat, and the answers that it got. The Bot uses it to talk about how its work goes. See the client guide before you show it to people.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”chatId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
object
id
required
string
chat
required
string
turn
required
string
text
required
string
reply
required
string
at
required
number
Example generated
[ { "id": "example", "chat": "example", "turn": "example", "text": "example", "reply": "example", "at": 1 }]ChatModelInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ChatNotFound
Media typeapplication/json
object
_tag
required
string
chat
required
string
Example
{ "_tag": "ChatNotFound"}ChatConflict | @nmnmcc/ability/Authorizer/Pending
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ChatStorageUnavailable | AuthenticationUnavailable | RequestFailed